folderIcon=IMG_1198.JPG
descript=This slideshow shows the Multi-Lift floor mount with extended removable legs and adjustable height.  This mount would typically be used in applications where the floor or walls are not strong enough to support a \
Multi-Lift mount.  More information on the Multi-Lift in the home is available at http://accessunlimited.com/html/home_lifts.html\
More videos of the Multi-Lift and hundreds of other mobility solutions are available on our extensive YouTube Channel at http://www.youtube.com/accessun For more information please contact us at http://www.accessunlimited.com/html/contact.html (this is quickest!!) check out our website at http://www.accessunlimited.com, or give us a call at +1-607-669-4822 days US EST or evenings 5-10 pm US EST at +1-607-296-0223. If you would like to keep up to date with what our company is working on and our philosophy, please "like" us on Facebook at http://www.facebook.com/accessun
ordering=custom
